/*
 * $Id: rasterutil.h,v 1.1 1996/04/01 05:52:30 ettore Exp $
 *
 * This file is part of VICE, the Versatile Commodore Emulator.
 * See README file for Copyright notice.
 *
 *
 * Miscellaneous functions for control of the raster emulation.
 *
 * Written by
 *   Ettore Perazzoli (ettore@comm2000.it)
 *
 *
 * $Log: rasterutil.h,v $
 * Revision 1.1  1996/04/01 05:52:30  ettore
 * Initial revision
 *
 */

#if !defined (_RASTERUTIL_H)
#define _RASTERUTIL_H

#include "raster.h"

void PauseVideo (VideoStruct * v);
void RestartVideo (VideoStruct * v);
int SetVideoSpeed (VideoStruct * v, int speed_index);
void SetSpeed (int speed_index);
void SetVideoRefreshRate (VideoStruct * v, int refresh_rate);
#if defined (C128)
void Vdc_SetRefreshRate (int refresh_rate);
void Vic_SetRefreshRate (int refresh_rate);
#else
void SetRefreshRate (int refresh_rate);
#endif

#endif /* defined (_RASTERUTIL_H) */
