/*
 * $Id: xscreen.c,v 1.10 1996/04/01 09:01:41 jopi Exp jopi $
 *
 * This file is part of Commodore 64 emulator.
 * See README for copyright notice
 *
 *
 * Written by
 *   Jarkko Sonninen (sonninen@lut.fi)
 *   Jouko Valta (jopi@stekt.oulu.fi)
 *
 * $Log: xscreen.c,v $
 * Revision 1.10  1996/04/01  09:01:41  jopi
 * Colours ...
 *
 * Revision 1.9  1995/11/07  16:51:00  jopi
 * *** empty log message ***
 *
 * Revision 1.8  1995/04/01  07:54:09  jopi
 * X64 0.3 PL 0
 * VIC drawing routines renamed appropriately.
 *
 * Revision 1.7  1994/12/12  16:59:44  jopi
 * New Vic Emulation
 *
 * Revision 1.6  1994/06/16  17:19:26  jopi
 * Code reorganized and cleaned up
 *
 * Revision 1.5  1994/01/26  16:26:56  jopi
 * X64 version 0.2 PL 1
 *
 * Revision 1.4  1993/11/10  01:55:34  jopi
 * reu, asm and disk directory fixed
 * REL_ADDR macro and 1541 made more portable
 *
 * Revision 1.3  93/06/21  13:40:02  jopi
 *  X64 version 0.2 PL 0
 *
 * Revision 1.2  1993/06/13  08:21:50  sonninen
 * *** empty log message ***
 *
 * 
 */


#include "config.h"

/* Xlib include files */
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/Xatom.h>

#ifdef SHAPE
#include <X11/extensions/shape.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <signal.h>
#include <sys/ioctl.h>

#include "macro.h"
#include "vmachine.h"
#include "extern.h"
#include "x64.h"


/*
 * These are removed from the new system
 */

extern unsigned int width, height;
extern BYTE    colorRam[];
extern GC      cgcs[];
extern XColor  exact_defs[];
extern unsigned long colors[];
extern unsigned long bgcolors[];

/* Video Chip information */

extern int win_xsize, win_ysize;
extern int win_xpix, win_ypix;
extern int screensize;

/*
 *
 */

#ifndef __CEXTRACT__

extern Window open_screen_win ( Window borderwin, int xpix, int ypix, int bg, int border );
extern void open_sprite_win (  Window borderwin, Window win );

extern void vic_set_vmode ( int mode );

#endif /* __CEXTRACT__ */

#if 0
static XGCValues xgcv;
static XImage *im, *im1, *im2;

static GC      mgc;

/* sprites */
static Window  sprite_win[8];
static GC      spritegc[8];
static int     sprexp[256];
static BYTE    sprexpl[256], sprexph[256];
static XImage *sprim, *sprim2;
static GC      shapeGC;
static Pixmap  sprshape;
static int shape;	/* shape extension available ? */

#define QUEUESIZE 20000 /*TVR*/
static int     screenqueue[QUEUESIZE];
static int     queuesize;

static int     xoff, yoff;	/* scroll offsets */
static BYTE    mc_mask[5][256];	/* multicolor masks */
#endif

/* ------------------------------------------------------------------------- */

Window open_screen_win(Window borderwin, int xpix, int ypix, int bg, int border)
{
    Window    win;
    XSetWindowAttributes  wattr;


    wattr.backing_store = Always;
    wattr.background_pixel = bgcolors[border];

    wattr.backing_store = Always;
    wattr.bit_gravity = CenterGravity;
    wattr.win_gravity = CenterGravity;
    wattr.background_pixel = bgcolors[bg];

    wattr.event_mask = ExposureMask | KeyReleaseMask | KeyPressMask |
	ButtonPressMask | StructureNotifyMask;

    win = XCreateWindow(display, borderwin, 30, 30, xpix, ypix, 0,
	CopyFromParent, CopyFromParent, CopyFromParent,
	CWWinGravity | CWBitGravity | CWBackingStore | CWBackPixel,
	&wattr);

    return (win);
}
